Uptimeify Docs
MonitorsSsh monitors

Trigger Check for SSH Monitor

Triggers an immediate check from all eligible monitoring locations.

POST /api/ssh-monitors/:sshMonitorPublicId/trigger-check

Authentication

Requires a valid session and write access.

  • Header: Authorization: Bearer <token>

Parameters

  • sshMonitorPublicId (Path, required): SSH monitor public UUID.

cURL

curl -X POST "https://YOUR_DOMAIN/api/ssh-monitors/44444444-4444-4444-8444-444444444444/trigger-check" \
  -H "Authorization: Bearer $TOKEN"

Response

{
  "success": true,
  "message": "Checks triggered successfully",
  "sshMonitorId": 300,
  "locationCodes": ["de-nbg", "fi-hel"],
  "queueNames": ["ssh-monitor-checks-de-nbg", "ssh-monitor-checks-fi-hel"]
}

Errors

  • 400 SSH monitor public ID (UUID) required
  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 500 Failed to trigger check (the status message may include e.g. "No active monitoring locations available")

On this page